<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFormStepsTable extends Migration
{
    public function up(): void
    {
        Schema::create('form_steps', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('form_id');
            $table->foreign('form_id')->references('id')->on('forms')->onDelete('cascade');
            $table->string('name');
            $table->smallInteger('order');
            $table->uuid('uuid');

            $table->timestamps();
        });
    }
}
