<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class VenueGetThereFieldTo extends Migration
{
    public function up(): void
    {
        if (!Schema::hasTable('venues')) {
            return;
        }

        Schema::table('venues', static function (Blueprint $table): void {
            if (!Schema::hasColumn('venues', 'how_to_get_there')) {
                $table->longText('how_to_get_there')->nullable()->after('has_green_tourism_accreditation');
            }
        });
    }
}
