<?php

namespace EventPortal\Domain\Util\Menu\Facades;

use EventPortal\Domain\Util\Menu\MenuRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Util\Menu\Menu make(string $tableName)
 * @method \EventPortal\Domain\Util\Menu\Menu addLinks(callable $callable)
 * @method \EventPortal\Domain\Util\Menu\Menu addButtons(callable $callable)
 * @method \EventPortal\Domain\Util\Menu\Menu context(\Illuminate\Database\Eloquent\Model ...$model)
 * @method \EventPortal\Domain\Util\Menu\Menu user(\Illuminate\Contracts\Auth\Authenticatable $user)
 * @method \EventPortal\Domain\Util\Menu\Menu get()
 */
class Menu extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return MenuRegistry::class;
    }
}
